%define anolis_release 1

Name:           libimagequant
Version:        2.17.0
Release:        %{anolis_release}%{?dist}
Summary:        Palette quantization library

License:        GPLv3+ and MIT
URL:            https://github.com/ImageOptim/libimagequant
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make

%description
Small, portable C library for high-quality conversion of RGBA images to 8-bit
indexed-color (palette) images.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1


%build
%configure --with-openmp
%make_build


%install
%make_install
rm -rf %{buildroot}/%{_libdir}/libimagequant.a
%generate_compatibility_deps


%files
%license COPYRIGHT
%{_libdir}/%{name}.so.0
%dir %{abidir}
%{abidir}/libimagequant.dump

%files devel
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/imagequant.pc

%files doc
%doc README.md CHANGELOG

%changelog
* Mon Mar 27 2023 happy_orange <songnannan@linux.alibaba.com> - 2.17.0-1
- init package from upstream
